TAAS - Feature #378

Payment Single
10/07/2024 04:16 PM - Junaid M

Status: Reopen Bugs Start date: 10/07/2024
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Payment

Description

Module Name: Payment
Existing Receipt Name: Payment(+)

1. Like Debit Credit Note Ul, Extra Divs belof FOP left side
2. Left Side: Fop

3. Right Side: Party

4. Use same Backend Code

5. Load Only Single Fop,Party Payment

History

#1 - 10/09/2024 02:24 PM - Anil KV
- Subject changed from Single Payment Ul to Payment

--> Single FOP, PARTY Payment Ul Like "Debit Credit Note"

--> Sys Name "PAYMENT"

--> Use Payment's Controller and Cs function for all operations

--> After Completing module. Any Query hard coded module sysname change to IN query and add IN ("PAYMENT+", "PAYMENT")

#2 - 10/15/2024 09:44 AM - Junaid M

- Assignee changed from travvise Admin to Nithin PM

#3 - 10/15/2024 10:34 AM - Junaid M
- Subject changed from Payment to Payment Single

- Assignee changed from Nithin PM to Augustin Jose

#4 - 10/18/2024 01:59 PM - Augustin Jose
- Status changed from New to Coding Started
- % Done changed from 0 to 30

#5 - 10/28/2024 06:13 PM - Augustin Jose
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#6 - 11/11/2024 12:14 PM - Arathy PS
- Status changed from Coding Done to Testing Started

#7 - 11/11/2024 04:26 PM - Arathy PS
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND
1. Incorrect value in posting when RoE is used.

2. Length of the code field for issued bank when fop is paid cheque.

3. When Fop is transfer, deduction/extra pay amount is not showing when saving/reload the document.

4. When FOP is paid cheque the date should be by default today's date.

5. When entering cheque no: the bank field should automatically fill up.

6. And if the cheque number is already used the a message should be shown that 'cheque no: is already used' ---> refer payment+

#8 - 11/13/2024 12:42 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#9 - 11/18/2024 03:17 PM - Theja Ponon

- File clipboard-202411181504-xglts.png added

- File clipboard-202411181505-rnvky.png added

- File clipboard-202411181505-df4ca.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

Date* | 18/11/2024 ] Branch® | BROOT: Main -

Posting Status” | Active ~ B
Total Paid 000027

Total Debit 0.00047

Balznce 000047

Party: 1000.00 QAR FOP

o

Branch* BROOT: Main ~

Deparment™ DPOO01= Account e

Deduction Exra Pay

2) IF THE CURRENCY IN FOP SIDE IS CHANGED ON TRYING TO CHANGE THE CURRENCY ON PARTY SIDE WILL MAKE CHANGES IN USD
AND QAR VALUES

#10 - 11/22/2024 09:37 AM - Augustin Jose

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#11 - 11/22/2024 09:50 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES

1. Replace supplier status with new label 'approval status'.
2. Add title 'approval done from corporate/supplier side'.

#12 - 11/23/2024 05:42 PM - Augustin Jose

- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#13 - 12/04/2024 03:37 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. On taking copy of a the payment with paid cheque we can save cheque with same cheque no:

#14 - 12/05/2024 09:53 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#15 - 12/05/2024 06:01 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Can update/change the amount of payment with FOP as paid cheque and the status of the cheque is changed to cancel/return.
2. After saving the payment with paid cheque the status should be 'bank credited'.
3.enable the issued bank field after entering check number

#16 - 12/07/2024 10:34 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#17 - 12/11/2024 05:02 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Can edit, delete, print and attach in the documents after blocking them in user module previlage.
2. Show reco no: on the field for cheque.

1. If Menu service sys name and global constant name is same.

2. Sys name on document no: focus out and after saving.

3. Sys name while redirection.

4.Paid Cheque should be in cheque book is off in admin settings ,not possible to save a payment document without check book cheque number
5.amound is not updating in other documentsearch and other module

#18 - 01/03/2025 11:42 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#19 - 01/29/2025 10:46 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1.When FOP is paid cheque and we take a copy even when using cheque no: that is not used validation is showing that cheque no: is already used.

#20 - 01/30/2025 09:55 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

05/03/2025 3/7



#21 - 01/31/2025 12:09 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)ISSUE ON UPDATION OF PAID CHEQUE WHEN FOCUS OUT FROM CHEQUE NO FIELD
2)CAN UPDATE WHEN STATUS OF CHEQUE IS CHANGED IN PAYMENT (show warning message that cant update due to status of the cheque
has been changed)

#22 - 02/04/2025 09:57 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 02/17/2025 12:50 PM - Theja Ponon

- File clipboard-202502171206-szz9v.png added

- File clipboard-202502171227-hppfx.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)Tax and charge are not claculating

FOP
FOP™~ | BNKOD1 Own Bank QAR w
Reference Cheque Transfer [~ ]
wmount In QAR ™ | 1000.00
Deduction Extra Pay
Bank Charge 0.00 % | 5.00
Tax | 0.00 % | 10.00
0.00+0.00 = 0.00 In QAR
2)space between label and reco number
Deduction Extra Pay
Issued Bank™ | BNKOO1 Own Bank
weque Name® | 06
Chegque No* 06
Josting Date™ | 17/02/2025 i)
“heque Date® | 17/02/2025 |
Status:Clear(Bank Reco) Reco Mo BARSOODZ

3)saved data of cheque is not removing from tables after changing the fop to another mode

#24 - 02/20/2025 10:09 AM - Arathy PS
ISSUE FOUND

1. Incorrect amount after converting using ROE when currency changed for both FOP and Party.

#25 - 02/21/2025 06:23 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 02/28/2025 10:45 AM - Theja Ponon
- File clipboard-202502281045-jvr07.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

1)Disable the Issued bank field

Payment
ment No Date™ | 28/02/2025 ] Branch™ | BROO1: Main e l
eceiver = Department™  DPOO1: Account v l
Narration File No®~ Enquiry No™ ~
7
mal Note 4 Reference
St Active v By Phone Ne
gstatus | Active v ey Cash Counter ~
3l Status: Paid (FOP) 0.00 QAR
eated By: Debit (Party) 0.00 QAR
dified By:
Party: 0.00 QAR FOP
ainst Doc dy O0D00AR FOP™~ | BNK0O1 Own Bank client QAR v
ccount” & ~ Reference Cheque @ Transfer
1Ledger® ~ Amount In GAR™ | 0,00
ctomer - Deduction Extra Pay
Narration
A Issued Bank™ | BNKO0O1 Own Bank client
Branch* BROOT: Main <2 ey rerr

artment” DPOO1:: Account 7 Cheque N
st Center ~

Posting Date™ | 44 (o]

Cheque Date™ | 4q o)

vy ¥y
Status:Bank Credited Reco No:

#27 - 02/28/2025 06:16 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#28 - 03/11/2025 05:42 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. The save button is disabled when you click copy button on payment ( Condition: FOP is paid cheque which has the status:return)

#29 - 03/11/2025 07:43 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#30 - 03/13/2025 10:13 AM - Arathy PS
Set Document Id in Posting
Eg:

mdITransaction.binDocumentld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure
mdITransaction.binSubDocld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

#31 - 03/17/2025 05:21 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. If the currency in cheque and the same currency is not present in bank then add a validation.

#32 - 03/18/2025 07:08 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#33 - 03/22/2025 02:09 PM - Arathy PS
- File clipboard-202503221257-mf58t.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1. While taking copy from from a payment document that is cleared the status of the new copied document is not changing on save and on reloading
document no: reco no: of old doc is still present.

Payment 2o = o -
PaymentNo | PV/00S Date™ | 22/03/2025 [} Branch” | BROOT: Main v
Receiver ~ Department’ | DPOOT: Account v
Narration File No™~ Enquiry No™ -
A
Internal Note Reference
y
DocStaws* | Active ~ By Phone No
Posting Status™ | Active v By Cash Counter h
Approval Status Paid (FOP) 1000.00 QAR
Created By: - Administrator(22/03/2025 12:55 PM) Debit (Party) 1000.00 GAR
Modified By:
Party: 100000 QAR FoP
Against Doc & 0000AR FOP*~ | PCHOO! Paid Cheque QAR ~
Account™ | SUP0D1 BSP & | aar ~ Reference
Main Ledger” | Sundry Creditors - Amount In QAR " | 100000
Sub Customer = Deduction Extra Pay
Narration
4 Issued Bank” | BNKOO1 icicl
Branch” B v
BROO1: Main ChrequeName® | pans
Department* DPO0T= Account v
ChequeNo® | 005
Cost Center v
Posting Date” | 22/03/2025 c]
Cheque Date” | 22/03/2025 [=]
Status:lssued Reco No: BAR/003

2.Customer card load in fop

#34 - 03/24/2025 02:20 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#35 - 03/25/2025 03:30 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Fixed

1)Sub customer field clears on focus out
2)Against doc clear on saving.

#36 - 03/25/2025 05:39 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#37 - 04/05/2025 10:38 AM - Arathy PS

- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

NEW CHANGES

1. In the labels: Party (Dr), FOP (Cr)
2. Add reference in the party pop up.

#38 - 04/08/2025 12:25 PM - Arathy PS
NEW CHANGE

1. While choosing e-mail in print then the mail ID provided in the master module of the account should be loaded here by default.

#39 - 05/02/2025 11:48 AM - Arathy PS
- File clipboard-202505021146-tqmnq.png added

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. Bank charge is not calculated based on set bank charge module and tax is also not calculated.
2. Add translation.

alsh 85in

sitwall U5 | Active

& | 24/0472025 =] [
plusbi oz
cilall a3y~

w=zpall
o osalill o5,

Jlodlalls™ - active
Josall @l
Ji5 e biil:
by Jaasill o3t

Jas(Dr): 1000.00 QAR

sigusll Lo
wbuali*~ | 5UPOOT 8sp

gyl 3l 455”| Sundry Creditors

BROO1: Main

DPO01:: Account

Paid (FOP)

Debit (Party)

FOP (Cn)

~ | CRCOO1 Credit Card Own

1000.00

izl giy* -

0.00 QAR

0.00 QAR

QAR v

ol sl @l | 0,00 % 0.00
weel wrs 000 % 500
o BRODT: Main [I.élO*D.DD:ﬂ‘HO In QAR ‘
plusl s DP0O01: Account et ol
e ] e A8l audd S e
il zals 2l it
Files
clipboard-202411181504-xglts.png 77.4 KB 11/18/2024 Theja Ponon
clipboard-202411181505-rnvky.png 77.4 KB 11/18/2024 Theja Ponon
clipboard-202411181505-df4ca.png 77.4 KB 11/18/2024 Theja Ponon
clipboard-202502171206-szz9v.png 14.8 KB 02/17/2025 Theja Ponon
clipboard-202502171227-hppfx.png 14.8 KB 02/17/2025 Theja Ponon
clipboard-202502281045-jvr07.png 83.4 KB 02/28/2025 Theja Ponon
clipboard-202503221257-mf53t.png 144 KB 03/22/2025 Arathy PS
clipboard-202505021146-tgmng.png 130 KB 05/02/2025 Arathy PS

05/03/2025

7/7


http://www.tcpdf.org

